Subject: [sip-clf] Scope of SIP-CLF problem

From: Cullen Jennings <[email-masked]>
Date: Tue, 12 Jan 2010 15:11:32 -0700

The charter highly constrains the solution space - specifically it assume the solution to the problem is a log file with a comment format. It was very intentional to charter the WG in a highly constrained way. The goal was to make the work small enough that something could get done with the energy available to get the work from idea, to standard, to implemented, to deployed. 

Now one can argue that it was completely misguided to slice up the solution space this way and but we had long discussions with meeting time and eventually came to rough consensus to go this way. I do not want us to continually revisit past decisions or we will never get anything done - we have had that problem on some sipping drafts in the past. At some point if we decide that a CLF is so limited that it has no use to standardize or build, I'm fine to go kill the whole thing and hit the reset button. Right now, I don't see us as close to that. The goal is to have it succeed (or fail) quickly. 

In defense of the current charter, clearly a log file format will not solve many of the management problem experienced in SIP networks. Clearly they are not appropriate for some types of devices. However, log files are one of the major tools used to debug SIP deployments and today they are mostly close but different which does not help with tools that look at them.  I think there is a reasonable percentage of people that believe that something simple could help. These people point out the value brought by existing tools that can parse an Apache log file or a PCAP dump. The assumption is that we have a log files for many things and they are used for some of the problems in the draft-gurbani-sipclf-problem-statement draft. The "problem" is that we don't have a common format for the log files. I realize that one could argue that the root cause of the problem are much more generic network management issues. However, people did not have the time or energy to take on the broader issues of improving operations of SIP networks. Instead they decided to try and fix this one tiny bit of the problem. I do believe that log files are more widely used that other things such as SNMP for managing SIP networks so I buy into the idea that this is a reasonable place to make a tiny bite sized incremental improvement to the situation.